# Configure Swift Mailer

> **Replaced by:** [**Symfony Mailer**](https://www.drupal.org/project/symfony_mailer)
>
> A new mail-system based on the popular Symfony Mailer giving full support of HTML mails, file attachments, embedded images, 3rd-party delivery integrations, load-balancing/failover, signing/encryption, async sending and more. Other libraries add capability for CSS inlining and HTML to text conversion.
>
> This module provides a deep integration into Drupal mechanisms, including theme/template/render, multi-language, CSS libraries, configuration, plug-ins, hooks, and logging.
>
> ***Warning*****:** the swiftmailer library is no longer maintained and so this module is obsolete. It has not yet been marked unsupported, but that could change at any time due to discovery of a security bug or on advice of the Drupal Security Team.
>
> A new module [Symfony Mailer](https://www.drupal.org/project/symfony_mailer) is under development, and has a reasonable alpha release. Help with testing or development is welcome.

## Add an SMTP Module Specific Configuration for  Swift Mailer

Navigate to **Administration \ Configuration \ System \&#x20;*****Maile System***

To access the Configure the Mail System on the site settings page

![Configure the Maile System Settings Page](/files/VTHD3YD3AD9WBi7VOh2l)

* Select the theme to render the emails with
* Select Swift Mailer from the modules
* Provide a key that is used to identify specific emails if the module sends more than one. Leave empty to use the configuration for all mails sent by the selected module.
* Select Swift Mailer from the Formatter plugins
* Select Swift Mailer from the Sender plugins

![Add a Swift Mailer Module](/files/IYaxb7CKNjgAMh43GKpT)

* Press the Add button to add the Swift Mailer module

![The Swfit Mailer Module in the Mail System](/files/cktlcoCFyGYYSor6ab2q)

## Set the Email Logo for Swift Mailer Template

&#x20;[**Vartheme BS4**](https://www.drupal.org/project/vartheme_bs4), and [**Vartheme BS5**](https://www.drupal.org/project/vartheme_bs5) provide theme settings for emails

[Creating Your Own Theme](/9.0.x/developers/theme-development-with-varbase/creating-your-own-theme.md)

Navigate to **Administration \ Appearance \ Appearance settings \&#x20;*****a Custom Sub Theme of Vartheme***

The Email Logo custom theme settings can be filled as desired

![Email Logo Settings in Vartheme and Vartheme Sub Themes](/files/3TxAtt46UyloFgxVLnIY)

The provided Email Logo will feed the Swift Mailer template with the selected logo, which will be linked in the email.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.0.x/developers/configuring-a-varbase-site/configuring-varbase-mailer-settings/configure-swift-mailer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
